{
    "root": true,
    "extends": [
		"airbnb-base",
		"plugin:import/errors",
		"plugin:vue/recommended"
	],
    "parserOptions": {
        "parser": "@babel/eslint-parser",
        "ecmaVersion": 2022,
        "sourceType": "module"
    },
    "rules": {
		"default-param-last": 0,
		"import/no-extraneous-dependencies": ["error", {"devDependencies": true}],
		"import/prefer-default-export": 0,
		"no-underscore-dangle": 0,
		"import/extensions": [2, "always"],
        "indent": ["error", "tab"],
        "max-len": 0,
        "no-console": 0,
        "no-param-reassign": ["error", {
            "props": true,
            "ignorePropertyModificationsFor": ["state", "acc"]
        }],
		"vue/multi-word-component-names": 0,
		"vue/no-reserved-component-names": 0,
        "no-tabs": "off",
        "no-unused-vars": ["error", {"argsIgnorePattern": "^_"}],
		"prefer-destructuring": 0,
        "template-curly-spacing": "off",
        "vue/html-indent": ["error", "tab"],
        "vue/multiline-html-element-content-newline": 0,
        "vue/no-v-html": 0,
        "vue/singleline-html-element-content-newline": 0
    },
	"settings": {
		"import/resolver": {
			"alias": {
				"extensions": [".js"],
				"map": [
					["#", "."],
					["#root", "."]
				]
			}
		}
	},
    "globals": {
        "CONFIG": true
    }
}
